# Contact

## Create a Contact

<mark style="color:green;">`POST`</mark> `https://api.crmgrow.com/api/contact`

This api allows you to create a contact from zapier

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Authorization<mark style="color:red;">\*</mark> | String | api\_key         |
| Content-Type                                    | String | application/json |

#### Request Body

<table><thead><tr><th width="218">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>first_name<mark style="color:red;">*</mark></td><td>String</td><td>First name</td></tr><tr><td>last_name</td><td>String</td><td>Last name</td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>String</td><td>Email</td></tr><tr><td>cell_phone</td><td>String</td><td>Cell phone</td></tr><tr><td>tags</td><td>String</td><td>Tags</td></tr><tr><td>country</td><td>string</td><td>Country</td></tr><tr><td>state</td><td>string</td><td>State</td></tr><tr><td>city</td><td>String</td><td>City</td></tr><tr><td>address</td><td>String</td><td>Address</td></tr><tr><td>zip_code</td><td>String</td><td>Zip Code</td></tr><tr><td>note</td><td>String</td><td>Note</td></tr><tr><td>overide<mark style="color:red;">*</mark></td><td>Boolean</td><td>if it is true, overwrite this for existing contact, otherwise do nothing</td></tr><tr><td>label</td><td>String</td><td>id of Label</td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}

```json
{
  "status": true,
  "data": {
    "first_name": "falcon",
    "last_name": "job",
    "email": "falcon@test.com",
    "user": [
      "6008ac3dbc96dc4210ae398f"
    ],
    "shared_members": [],
    "pending_users": [],
    "declined_users": [],
    "shared_team": [],
    "shared_all_member": false,
    "secondary_email": "",
    "cell_phone": "",
    "secondary_phone": "",
    "country": "",
    "tags": [],
    "rate_lock": false,
    "favorite": false,
    "created_at": "2023-11-14T15:11:50.028Z",
    "updated_at": "2023-11-14T15:11:50.028Z",
    "unsubscribed": {
      "email": false,
      "text": false
    },
    "_id": "65538e36022c364426629e0a",
    "owner": "6008ac3dbc96dc4210ae398f",
    "__v": 0,
    "activity": {
      "user": "6008ac3dbc96dc4210ae398f",
      "content": "added",
      "type": "contacts",
      "videos": [],
      "pdfs": [],
      "images": [],
      "contacts": "65538e36022c364426629e0a",
      "to_emails": [],
      "created_at": "2023-11-14T15:11:50.038Z",
      "updated_at": "2023-11-14T15:11:50.038Z",
      "_id": "65538e36022c364426629e0c",
      "__v": 0
    }
  }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}

{% tab title="401: Unauthorized " %}

```
{
  "status": false,
  "error": {
    "msg": "Invalid value",
    "param": "password",
    "location": "body"
  }
}
```

{% endtab %}
{% endtabs %}

## Update Contact

<mark style="color:orange;">`PUT`</mark> `https://api.crmgrow.com/api/contact`

This api allows you to update a contact from zapier

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Authorization<mark style="color:red;">\*</mark> | String | api\_key         |
| Content-Type                                    | String | application/json |

#### Request Body

| Name                                      | Type    | Description                                                              |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------ |
| first\_name                               | String  | First name                                                               |
| last\_name                                | String  | Last name                                                                |
| email<mark style="color:red;">\*</mark>   | String  | Email                                                                    |
| cell\_phone                               | String  | Cell phone                                                               |
| tags                                      | String  | Tags                                                                     |
| country                                   | string  | Country                                                                  |
| state                                     | string  | State                                                                    |
| city                                      | String  | City                                                                     |
| address                                   | String  | Address                                                                  |
| zip\_code                                 | String  | Zip Code                                                                 |
| note                                      | String  | Note                                                                     |
| overide<mark style="color:red;">\*</mark> | Boolean | if it is true, overwrite this for existing contact, otherwise do nothing |
| label                                     | String  | id of Label                                                              |

{% tabs %}
{% tab title="200 " %}

```json
{
  "status": true,
  "data": {
    "first_name": "falcon",
    "last_name": "job",
    "email": "falcon@test.com",
    "user": [
      "6008ac3dbc96dc4210ae398f"
    ],
    "shared_members": [],
    "pending_users": [],
    "declined_users": [],
    "shared_team": [],
    "shared_all_member": false,
    "secondary_email": "",
    "cell_phone": "",
    "secondary_phone": "",
    "country": "",
    "tags": [],
    "rate_lock": false,
    "favorite": false,
    "created_at": "2023-11-14T15:11:50.028Z",
    "updated_at": "2023-11-14T15:11:50.028Z",
    "unsubscribed": {
      "email": false,
      "text": false
    },
    "_id": "65538e36022c364426629e0a",
    "owner": "6008ac3dbc96dc4210ae398f",
    "__v": 0,
    "activity": {
      "user": "6008ac3dbc96dc4210ae398f",
      "content": "added",
      "type": "contacts",
      "videos": [],
      "pdfs": [],
      "images": [],
      "contacts": "65538e36022c364426629e0a",
      "to_emails": [],
      "created_at": "2023-11-14T15:11:50.038Z",
      "updated_at": "2023-11-14T15:11:50.038Z",
      "_id": "65538e36022c364426629e0c",
      "__v": 0
    }
  }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

{% endtab %}

{% tab title="401: Unauthorized " %}

```
{
  "status": false,
  "error": {
    "msg": "Invalid value",
    "param": "password",
    "location": "body"
  }
}
```

{% endtab %}
{% endtabs %}

## Add Tag for Zapier

<mark style="color:green;">`POST`</mark> `https://api.crmgrow.com/api/contact/push-tag`

This api allows you to add one or more tag from Zapier

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Authorization<mark style="color:red;">\*</mark> | string | api\_key         |
| Content-Type                                    | String | application/json |

#### Request Body

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| email<mark style="color:red;">\*</mark> | String | Email       |
| tag<mark style="color:red;">\*</mark>   | String | Tag         |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.crmgrow.com/rest/contact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
